Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.parser
Class DefaultNamespaceFilter

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.apache.commons.jelly.parser.DefaultNamespaceFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public class DefaultNamespaceFilter

extends org.xml.sax.helpers.XMLFilterImpl

XMLFilter that can provide a default namespace when one has not been declared by the XML document. Note: this class does not address the namespace of attributes.

Author:
  Morgan Delagrange

Field Summary
`protected java.lang.String` | `uriDefault`

Constructor Summary
`DefaultNamespaceFilter(java.lang.String defaultNamespace, org.xml.sax.XMLReader reader)` Filter for undefined an undefined namespace

Method Summary
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` All incoming empty URIs will be remapped to the default.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` All incoming empty URIs will be remapped to the default.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` All incoming empty URIs will be remapped to the default.

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uriDefault

    protected java.lang.String uriDefault

Constructor Detail

### DefaultNamespaceFilter

    public DefaultNamespaceFilter(java.lang.String defaultNamespace,
                                  org.xml.sax.XMLReader reader)

  Filter for undefined an undefined namespace

  Parameters:
    `defaultNamespace` - uri for the jelly namespace
    `reader` - XMLReader to filter

Method Detail

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  All incoming empty URIs will be remapped to the default.

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `prefix` - incoming prefix
    `uri` - URI to check and potentially replace
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  All incoming empty URIs will be remapped to the default.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `uri` - URI to check and potentially replace
    `localName` -
    `qName` -
    `atts` -
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  All incoming empty URIs will be remapped to the default.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `namespaceURI` - URI to check and potentially replace
    `localName` -
    `qName` -
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.